<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
	<title>EASY-nLC Device Configuration for <xsl:value-of select="/configuration/device[@id='HPLC']/physical-id"/></title>
  </head>
  <body>
  <h2>EASY-nLC Device Configuration for <xsl:value-of select="/configuration/device[@id='HPLC']/physical-id"/></h2>
  <table border="1" cellpadding="2" cellspacing="0">
    <xsl:for-each select="configuration/device">
	<xsl:sort select="model"/>
		<tr>
		  <td colspan="2"><strong><font style="font-size:110%"><xsl:value-of select="model"/></font></strong></td>
		</tr>
		<tr>
		  <td>&#160;&#160;Manufacturer:</td>
		  <td>&#160;<xsl:value-of select="manufacturer"/></td>
		</tr>
		<tr>
		  <td>&#160;&#160;Driver-info:</td>
		  <td>&#160;<xsl:value-of select="driver-info"/></td>
		</tr>
		<tr>
		  <td>&#160;&#160;Firmware-info:</td>
		  <td>&#160;<xsl:value-of select="firmware-info"/></td>
		</tr>
		<tr>
		  <td>&#160;&#160;Physical-id:</td>
		  <td>&#160;<xsl:value-of select="physical-id"/></td>
		</tr>
		<xsl:apply-templates select="properties" /> 
		<xsl:apply-templates select="counters" />
		<xsl:apply-templates select="slaves" />
		<tr style="border-left-width=0;border-right-width=0">
		  <td colspan="2" style="border-bottom-width=0;border-left-width=0;border-right-width=0">&#160;</td>
		</tr>
		<tr style="border-left-width=0;border-right-width=0">
		  <td colspan="2" style="border-top-width=0;border-left-width=0;border-right-width=0">&#160;</td>
		</tr>

    </xsl:for-each>
  </table>
  </body>
  </html>
</xsl:template>

<xsl:template match="properties">
    <xsl:if test="count(property)>0">
		<tr>
		  <td  colspan="2">&#160;<strong>Properties</strong></td>
		</tr>
		<xsl:for-each select="property">
		<tr>
		  <td>&#160;&#160;&#160;<xsl:value-of select="@name"/></td>
		  <td>&#160;<xsl:value-of select="."/></td>
		</tr>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

<xsl:template match="counters">
    <xsl:if test="count(counter)>0">
		<tr>
		  <td colspan="2">&#160;<strong>Counters</strong></td>
		</tr>
		<xsl:for-each select="counter">
		<tr>
		  <td>&#160;&#160;&#160;<xsl:value-of select="@name"/></td>
		  <td>&#160;<xsl:value-of select="."/></td>
		</tr>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

<xsl:template match="slaves">
    <xsl:if test="count(slave)>0">
		<tr>
		  <td colspan="2">&#160;<strong>Slaves</strong></td>
		</tr>
		<xsl:for-each select="slave">
		<tr>
		  <td>&#160;&#160;&#160;</td>
		  <td>&#160;<xsl:value-of select="@ref"/></td>
		</tr>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>